Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsurveyor.tags
Class LoginTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          net.sourceforge.jsurveyor.tags.LoginTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class LoginTag
extends javax.servlet.jsp.tagext.TagSupport

Custom tag that ensures that a user is logged in before seeing the page and that the user has the correct userType

Version:
  1.0
Author:
  Claus Methmann Christensen, Anders Spliid Hansen, Esben Iversen Hansen, Lars H Jensen, Marcus Overheu, Thomas Ramdal, Peter Thomsen
See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`LoginTag()`

Method Summary
`int` | `doEndTag()` Automatically called when closing the tag
`void` | `setAccess(java.lang.String access)` Automatically captures the attribute access when using the tag.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginTag

    public LoginTag()

Method Detail

### setAccess

    public void setAccess(java.lang.String access)

  Automatically captures the attribute access when using the tag.

  Parameters:
    `access` - String

### doEndTag

    public int doEndTag()

  Automatically called when closing the tag

  Returns:
    int
  See Also:
    `Tag.doEndTag()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD